Subject: Re: [PATCH 03/18] setup: stop using `the_repository` in `is_inside_git_dir()`

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Apr 2026 08:36:04 -0700

Patrick Steinhardt <[email-masked]> writes:

> I agree that they don't really make a ton of sense in "setup.c". In
> general, I would love to split up that file into two pieces:
>
>   - The pieces required to detect a repository and discover its exact
>     configuration. So scanning the current working directory and its
>     parent directories, paying attention to environment variables, and
>     detecting the repository format.
>
>   - The pieces required to configure the repository based on the
>     findings.

This sounds like a good direction to go.  We the current structure,
if you are handed two local directories and told that they are
subdirectories of two repositories, it is hard to do the necessary
two discoveries independently.